#include "GuiTypes.h"

# Segment_t

class description - source file - inheritance tree (.pdf)

## class Segment_t

| Inheritance Chart:
`Segment_t` |

        public:

                     Segment_t()
                     Segment_t(const Segment_t&)
                     ~Segment_t()
          Segment_t& operator=(const Segment_t&)

### Data Members

        public:

          Short_t fX1
          Short_t fY1
          Short_t fX2
          Short_t fY2

## Class Description

     GuiTypes

     Types used by the GUI classes.

### Inline Functions

                  void ~Segment_t()
             Segment_t Segment_t()
             Segment_t Segment_t(const Segment_t&)
            Segment_t& operator=(const Segment_t&)

Last update: Thu Jun 16 19:58:14 2005
Copyright (C) 1995-2000, Rene Brun and Fons Rademakers. *